> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/88.-mutaciya-eksportirovat-zonesmap-kak-zip-arkhiv-shapefile.md).

# 88. Мутация: экспортировать ZonesMap как zip-архив Shapefile

Создать zip-архив с выбранной "ZonesMap" в виде shapefile.

{% hint style="info" %}
Архив состоит из файлов \*.shp, \*.shx, \*.prj, \*.dbf в EPSG:4326.
{% endhint %}

### 1. Подготовка

* Атрибут `vectorAnalysisMaps` содержит массив объектов ZonesMaps (VectorAnalysisMaps), которые необходимо экспортировать. Каждый такой объект включает пару `fieldUuid` (связь с выбранным полем) и `uuid` (связь с выбранной ZonesMap).
* Булев атрибут `asMultiGeometry` определяет, экспортируются ли зоны как `Полигоны` или `Мультиполигоны` (когда установлено в `true` ).
* Булев атрибут `onlyProductColumns` указывает, должны ли в shapefile включаться только столбцы с продуктами (RX) (когда `true` ). В противном случае в качестве столбцов будут включены все статистические атрибуты и идентификаторы зон.
* Атрибут `archiveName` содержит имя создаваемого zip-архива.
* Атрибут `filePostfix` позволяет добавлять пользовательские постфиксы к экспортируемым файлам и архиву.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Скачивание созданного архива

После выполнения GraphQL-запроса его можно скачать, используя `curl` или аналогичный подход.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/88.-mutaciya-eksportirovat-zonesmap-kak-zip-arkhiv-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
